Package org.eclipse.draw2d.text

# Class BidiProvider.DefaultBidiProvider

java.lang.Object
org.eclipse.draw2d.text.BidiProvider.DefaultBidiProvider

All Implemented Interfaces:
  `BidiProvider`

Enclosing interface:
  `BidiProvider`

public static final class BidiProvider.DefaultBidiProvider extends Object implements BidiProvider
Default implementation of `BidiProvider`, backed by `Bidi`.

Since:
  3.15

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.text.BidiProvider

`BidiProvider.DefaultBidiProvider`

## Constructor Summary

Constructors
Constructor
Description
`DefaultBidiProvider()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`requiresBidi(char[] text, int start, int limit)`
Return `true` if the specified text requires bidi analysis.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultBidiProvider

public DefaultBidiProvider()

## Method Details

### requiresBidi

public boolean requiresBidi(char[] text, int start, int limit)
Description copied from interface: `BidiProvider`
Return `true` if the specified text requires bidi analysis. If this returns `false`, the text will display left-to-right. Clients can then avoid constructing a Bidi object. Text in the Arabic Presentation Forms area of Unicode is presumed to already be shaped and ordered for display, and so will not cause this function to return `true`.

Specified by:
  `requiresBidi` in interface `BidiProvider`
Parameters:
  `text` - the text containing the characters to test
  `start` - the start of the range of characters to test
  `limit` - the limit of the range of characters to test
Returns:
  true if the range of characters requires bidi analysis
See Also:
  - `Bidi.requiresBidi(char[], int, int)`